<%- include('./partials/header') %>
<script src="/js/jscolor.js"></script>
<script>
    function submit(action) {
        swal({
            title: "Please wait",
            text: "Sending requests ...",
            icon: "warning",
            timer: 2000,
        }).then((value) => {
            $.get({
                url: `${action}`,
                data: {},
                success: function (response) {
                    console.log(response);
                    if (response === 'ok') {
                        swal({
                            title: 'Success!',
                            text: 'Action was completed successfully.',
                            icon: 'success',
                            timer: 3000,
                        });
                    } else {
                        swal({
                            title: `Oh no! Something went wrong.`,
                            text: `${response}`,
                            icon: 'error',
                        });
                    }
                }
            });
        });
    }
</script>
<%- include('./partials/file-start') %>
<div class="container">
    <div class="row">
        <button onclick="submit('lightup')" class="power">+</button>
        <button onclick="submit('lightdown')" class="power">-</button>
        <button onclick="submit('off')" id="off" class="off">OFF</button>
        <button onclick="submit('on')" id="on" class="function1">ON</button>
    </div>
    <div class="row">
        <button onclick="submit('red')" id="red">R</button>
        <button onclick="submit('green')" id="green">G</button>
        <button onclick="submit('blue')" id="blue">B</button>
        <button onclick="submit('white')" id="white">W</button>
    </div>
    <div class="row">
        <button onclick="submit('red1')" id="red1"></button>
        <button onclick="submit('green1')" id="green1"></button>
        <button onclick="submit('blue1')" id="blue1"></button>
        <button onclick="submit('flash')" class="function">FLASH</button>
    </div>
    <div class="row">
        <button onclick="submit('red2')" id="red2"></button>
        <button onclick="submit('green2')" id="green2"></button>
        <button onclick="submit('blue2')" id="blue2"></button>
        <button onclick="submit('strobe')" class="function">STROBE</button>
    </div>
    <div class="row">
        <button onclick="submit('red3')" id="red3"></button>
        <button onclick="submit('green3')" id="green3"></button>
        <button onclick="submit('blue3')" id="blue3"></button>
        <button onclick="submit('fade')" class="function">FADE</button>
    </div>
    <div class="row">
        <button onclick="submit('red4')" id="red4"></button>
        <button onclick="submit('green4')" id="green4"></button>
        <button onclick="submit('blue4')" id="blue4"></button>
        <button onclick="submit('smooth')" style="font-size: 11px;" class="function">SMOOTH</button>
    </div>
    <form action="SetColor" method="POST" class="row">
        <input style="min-width: 200px; text-align: center;border-radius: 30px; margin: 5px; height: 60px; "
            name="color" placeholder="Color" value="ABE60B"
            class="jscolor {position:'center', borderColor:'#FFF', insetColor:'#FFF', backgroundColor:'#424242', }">
        <button class="function" type="submit">Set color</button>
    </form>
    <%- include('./partials/footer') %>
    <%- include('./partials/file-end') %>